Android Студия не удалось найти метод runProguard () для аргументов ?

? Tom_Love_Jerry @ | Original: StackOverFlow
---
/Library/Java/JavaVirtualMachines/jdk1.7.0_60.jdk/Contents/Home/bin/java "- com.intellij.rt.execution.application.AppMain org.gradle.launcher.GradleMain --build-file /Users/Tom/Documents/Git_open_sources/android-material-drawer-template/app/build.gradle

FAILURE: Build failed with an exception.

* Where:
Build file '/Users/Tom/Documents/Git_open_sources/android-material-drawer-template/app/build.gradle' line: 16

* What went wrong:
A problem occurred evaluating project ':app'.
> Could not find method runProguard() for arguments [false] on BuildType_Decorated{name=release, debuggable=false, testCoverageEnabled=false, jniDebuggable=false, pseudoLocalesEnabled=false, renderscriptDebuggable=false, renderscriptOptimLevel=3, applicationIdSuffix=null, versionNameSuffix=null, minifyEnabled=false, zipAlignEnabled=true, signingConfig=null, embedMicroApp=true, mBuildConfigFields={}, mResValues={}, mProguardFiles=[], mConsumerProguardFiles=[], mManifestPlaceholders={}}.

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 6.741 secs

Process finished with exit code 1
apply plugin: 'com.android.application'

android {
compileSdkVersion 21
buildToolsVersion "21.1.0"

defaultConfig {
    applicationId "com.poliveira.apps.materialtests"
    minSdkVersion 11
    targetSdkVersion 21
    versionCode 1
    versionName "1.0"
}
buildTypes {
    release {
        runProguard false
        proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
    }
}
}

dependencies {
compile fileTree(dir: 'libs', include: ['*.jar'])
compile 'com.android.support:support-v4:21.0.0'
//noinspection GradleDependency
compile "com.android.support:appcompat-v7:21.0.0"
compile 'com.android.support:recyclerview-v7:21.0.0'
}    
---

Top 5 ответ

1Sazedul Islam Sazid @

Я была такая же проблема после обновления андроид студию до 1,0 RC 3 . Я не мог импортировать свой ​​проект на новую версию . я должен был создать новый проект и добавить файлы в новый проект из предыдущего проекта вручную.

После этого я нашел изменения в Gradle файла сборки.

Вотизменения:

buildTypes {
    release {
        minifyEnabled false
        proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
    }
}

Вместо " runProguard ложной " использования " minifyEnabled ложь "

2Varundroid @

Вместо того чтобы использовать runProguard в Gradle файла, попробуйте использовать minifyEnabled . Это должно решить проблему. runProguard устарела и скоро будет перестать работать.

Примечание - Для использования minifyEnabled, Gradle должны быть обновлены до версии 2.2 или выше.

3Gautier Drusch @

Существуетобновление с Android Studio, вам нужно перенести конфигурации Gradle : http://tools.android.com/tech-docs/new-build-system/migrating-to-1-0-0

Replace runProguard with minifyEnabled Replace zipAlign with zipAlignEnabled etc... 4KNU @

Работы для меня ( после обновления до 1,0 " окончательное " ) :

buildTypes {
release {
    minifyEnabled false
    proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
}

}

Если необходимо обновить также: Gradle 2,2 (или выше), " SDK- Сервис" , Поддержка хранилища , Поддержка Библиотека, Играть услуги , и т.д., и т.д. ,

5Pierre-Emmanuel Mercier @

не забудьте изменить все renderscriptSupportMode в renderscriptSupportModeEnabled !

Также thoose, кто во всем проекте ваших библиотеками игровая